# $Id: zapping.spec,v 1.5 2003/06/02 12:46:55 dude Exp $

%define desktop_vendor freshrpms

Summary: A TV viewer for GNOME.
Name: zapping
Version: 0.6.7
Release: fr1
License: GPL
Group: Applications/Multimedia
Source: http://prdownloads.sourceforge.net/zapping/zapping-%{version}.tar.bz2
URL: http://zapping.sourceforge.net/
Buildroot: %{_tmppath}/%{name}-root
Requires: gtk+ >= 1.2.0, gnome-libs, libxml, libglade, gdk-pixbuf, libunicode
Requires: zvbi, arts, lirc, rte >= 0.5, /usr/bin/consolehelper
BuildRequires: gnome-libs-devel, libxml-devel, libglade-devel, gdk-pixbuf-devel
BuildRequires: libunicode-devel, zvbi-devel, arts-devel, lirc, rte >= 0.5

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System.  GNOME is similar in purpose and scope
to CDE and KDE, but GNOME is based completely on free software.

This is a TV viewer for the GNOME desktop. It has all the needed
features, plus extensibility through a plugin system.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}

# Fix buggy link (points into the %{buildroot})
ln -sf zapping %{buildroot}%{_bindir}/zapzilla

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} --delete-original \
  --dir %{buildroot}%{_datadir}/applications                      \
  --add-category X-Red-Hat-Extra                                  \
  --add-category Application                                      \
  --add-category AudioVideo                                       \
  %{buildroot}%{_datadir}/gnome/apps/Multimedia/%{name}.desktop

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README* THANKS TODO
%config %{_sysconfdir}/pam.d/zapping_setup_fb
%config %{_sysconfdir}/security/console.apps/zapping_setup_fb
%{_bindir}/*
%{_libdir}/*
%{_sbindir}/*
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/pixmaps/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*

%changelog
* Mon Jun  2 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.7.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.

* Thu Mar 20 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.6.

* Wed Oct  9 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.5.

* Sat Sep 28 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.
- New menu entry.

* Tue Aug  6 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.4.
- Spec file cleanup.

* Thu Nov 22 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update (at last!) to 0.6.1.
- Added the manpages and quick spec file cleanup as usual.

* Tue May 15 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Replaced the pre/post sections with a real link in the package.

* Fri Feb  2 2001 Tim Powers <timp@redhat.com>
- pamified zapping_setup_fb, now no need for suid root bits, and no
crippling of the app :)

* Thu Sep 12 2000 Iaki Garca Etxebarria <garetxe@users.sourceforge.net>
- Removed the LibPng dependency, now libjpeg is used.

* Mon Sep 11 2000 Iaki Garca Etxebarria <garetxe@users.sourceforge.net>
- Added the dependency to GdkPixbuf and LibPng

* Mon Jun 19 2000 Iaki Garca Etxebarria <garetxe@users.sourceforge.net>
- Added the desktop entry and removed the specified --datadir

* Mon Jun 12 2000 Iaki Garca Etxebarria <garetxe@users.sourceforge.net>
- Fixed, it didn't include the translations properly.

* Thu Jun 06 2000 Iaki Garca Etxebarria <garetxe@users.sourceforge.net>
- Created, it works fine.

